# Class PulleyJointDef

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.joints.JointDef
com.codename1.gaming.physics.box2d.dynamics.joints.PulleyJointDef

public class PulleyJointDef extends JointDef
Pulley joint definition. This requires two ground anchors, two dynamic body anchor points, and a pulley ratio.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Vec2`
  `groundAnchorA`
  The first ground anchor in world coordinates.
  `Vec2`
  `groundAnchorB`
  The second ground anchor in world coordinates.
  `float`
  `lengthA`
  The a reference length for the segment attached to bodyA.
  `float`
  `lengthB`
  The a reference length for the segment attached to bodyB.
  `Vec2`
  `localAnchorA`
  The local anchor point relative to bodyA's origin.
  `Vec2`
  `localAnchorB`
  The local anchor point relative to bodyB's origin.
  `float`
  `ratio`
  The pulley ratio, used to simulate a block-and-tackle.

  ### Fields inherited from class JointDef

  `bodyA, bodyB, collideConnected, type, userData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PulleyJointDef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Body b1, Body b2, Vec2 ga1, Vec2 ga2, Vec2 anchor1, Vec2 anchor2, float r)`
  Initialize the bodies, anchors, lengths, max lengths, and ratio using the world anchors.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### groundAnchorA

    public Vec2 groundAnchorA
    The first ground anchor in world coordinates. This point never moves.

  - ### groundAnchorB

    public Vec2 groundAnchorB
    The second ground anchor in world coordinates. This point never moves.

  - ### localAnchorA

    public Vec2 localAnchorA
    The local anchor point relative to bodyA's origin.

  - ### localAnchorB

    public Vec2 localAnchorB
    The local anchor point relative to bodyB's origin.

  - ### lengthA

    public float lengthA
    The a reference length for the segment attached to bodyA.

  - ### lengthB

    public float lengthB
    The a reference length for the segment attached to bodyB.

  - ### ratio

    public float ratio
    The pulley ratio, used to simulate a block-and-tackle.

- ## Constructor Details

  - ### PulleyJointDef

    public PulleyJointDef()

- ## Method Details

  - ### initialize

    public void initialize(Body b1, Body b2, Vec2 ga1, Vec2 ga2, Vec2 anchor1, Vec2 anchor2, float r)
    Initialize the bodies, anchors, lengths, max lengths, and ratio using the world anchors.